Create
post
/fscmRestApi/resources/11.13.18.05/itemStructures/{BillSequenceId}/child/Component/{ComponentSequenceId}/child/ReferenceDesignator
Request
Path Parameters
-
BillSequenceId(required): integer
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
ComponentSequenceId(required): number
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
-
Upsert-Mode: string
Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
ACDType: integer
Default Value:
1Read Only: This attribute specifies the acdType code which defines whether the reference designator is being added, modified or deleted through a change line -
ChangeLineId: integer
(int64)
Default Value:
-1Read Only: This attribute provides the revised line the reference designator is added/modified -
ChangeNotice: string
Maximum Length:
10Read Only: This attribute provides the Change Order Notice to which the reference designator is added/modified -
Description: string
Title:
DescriptionMaximum Length:240An attribute value that describes the reference designator code -
ReferenceDesignator(required): string
Title:
Reference DesignatorMaximum Length:15An attribute that represents the code of a reference designator -
ReferenceDesignatorDFF: array
ReferenceDesignatorDFF
Descriptive Flexfield extensions for structure reference designators.
-
ReferenceDesignatorSequenceId: integer
(int64)
An unique identifier for the reference designator in a structure.
Nested Schema : ReferenceDesignatorDFF
Type:
arrayDescriptive Flexfield extensions for structure reference designators.
Show Source
Nested Schema : schema
Type:
Show Source
object-
__FLEX_Context: string
Title:
ContextMaximum Length:30Context -
__FLEX_Context_DisplayValue: string
Title:
ContextContext -
RefDesigSequenceId: integer
(int64)
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : itemStructures-Component-ReferenceDesignator-item-response
Type:
Show Source
object-
ACDType: integer
Default Value:
1Read Only: This attribute specifies the acdType code which defines whether the reference designator is being added, modified or deleted through a change line -
ACDTypeValue: string
Read Only:
trueMaximum Length:255Read Only: This attribute specifies whether the reference designator is being added, modified or deleted through a change line -
ChangeLineId: integer
(int64)
Default Value:
-1Read Only: This attribute provides the revised line the reference designator is added/modified -
ChangeNotice: string
Maximum Length:
10Read Only: This attribute provides the Change Order Notice to which the reference designator is added/modified -
CreationDateTime: string
(date-time)
Read Only:
trueWho column: An attribute that indicates the date and time of the creation of the reference designator -
Description: string
Title:
DescriptionMaximum Length:240An attribute value that describes the reference designator code -
LastUpdateDateTime: string
(date-time)
Read Only:
trueWho column: An attribute which indicates the date and time of the last update of the reference designator -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ReferenceDesignator: string
Title:
Reference DesignatorMaximum Length:15An attribute that represents the code of a reference designator -
ReferenceDesignatorDFF: array
ReferenceDesignatorDFF
Descriptive Flexfield extensions for structure reference designators.
-
ReferenceDesignatorSequenceId: integer
(int64)
An unique identifier for the reference designator in a structure.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : ReferenceDesignatorDFF
Type:
arrayDescriptive Flexfield extensions for structure reference designators.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : itemStructures-Component-ReferenceDesignator-ReferenceDesignatorDFF-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
ContextMaximum Length:30Context -
__FLEX_Context_DisplayValue: string
Title:
ContextContext -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
RefDesigSequenceId: integer
(int64)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Links
- ReferenceDesignatorDFF
-
Parameters:
- BillSequenceId:
$request.path.BillSequenceId - ComponentSequenceId:
$request.path.ComponentSequenceId - ReferenceDesignatorSequenceId:
$request.path.ReferenceDesignatorSequenceId
- BillSequenceId:
Examples
This example describes how to create one reference designator.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/itemStructures/BillSequenceId/child/Component/ComponentSequenceId/child/ReferenceDesignator"
Example Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it creates.
{
"ReferenceDesignator": "RD001",
"Description": "Add from Rest"
}
Example Response Body
The following example includes the contents of the response body in JSON format:
{
"ACDType": 1,
"ChangeLineId": -1,
"ChangeNotice": null,
"ReferenceDesignator": "RD001",
"CreationDateTime": "2018-06-28T05:56:33.001+00:00",
"LastUpdateDateTime": "2018-06-28T05:56:33.199+00:00",
"Description": "Add from Rest",
"ReferenceDesignatorSequenceId": 300100159659336,
"ACDTypeValue": null,
...
}